info = Image.load("screen.jpg")
sccnt = 1

--Code
white = Color.new(255,255,255)
black = Color.new(0,0,0)

Mac_Adresse = Adhoc.getMac()
Firmware = System.cfwVersion()
Nickname = System.nickName()
ms = System.getFreeSpace("ms0:/")
Model = System.getModel(1)
ms = ms / 1024/1024 
Batterie_power = System.powerGetBatteryTemp()
Restzeit = System.powerGetBatteryLifeTime()
Prozent = System.powerGetBatteryLifePercent()
Batterie_da = System.powerIsBatteryExist()
Volt_Batterie = System.powerGetBatteryVolt()
vitcpu = System.getCpuSpeed()
vitakku = System.getBusSpeed()

--Coded while true do

while true do
screen:clear()
pad = Controls.read()

screen:blit(0,0,info)
Stunde = System.getTime(1)
Minute = System.getTime(2)
Sekunde = System.getTime(3)
Uhr = System.getTime(5)
Tag = System.getDate(1)
Monat = System.getDate(2)
Jahr = System.getDate(3)
screen:print(85,10,"PSPMulti v0.23",white)
screen:print(85,40,"System Informationen: ",black)
screen:print(85,50,"Nickname: "..Nickname,white)
screen:print(85,60,"Firmware: "..Firmware,white)
screen:print(85,70,"PSP Model: "..Model,white)
screen:print(85,80,"CPU HertzZahl :"..vitcpu.." Mhz , Akku :"..vitakku.." Mhz",white)
screen:print(85,90,"Speicherplatz Memorystick: "..ms.." mb",white)
screen:print(85,100,"Mac Adresse: "..Mac_Adresse,white)
screen:print(85,120,"Datum Informationen",black)
screen:print(85,130,"Es ist " ..Stunde..  ":" ..Minute.. ":" ..Sekunde.. ":" ..Uhr,white)
screen:print(85,140,"Es ist der "..Jahr.. "/" ..Monat.. "/"..Tag,white)
screen:print(85,150,"Batterie Informationen: ",black)
screen:print(85,160,"Batterie Status: "..Prozent.."%",white)
screen:print(85,170,"Restzeit: "..Restzeit.." minutes",white)
screen:print(85,180,"Batterie Grad Anzeige: "..Batterie_power.."C",white)
screen:print(85,190, "Batterie Volt Anzeige: "..Volt_Batterie.." mV",white)

if System.powerIsPowerOnline() then 
screen:print(85,210, "Batterie wird geladen: Ja ",black)
else
screen:print(85,210, "Batterie wird geladen: Nein ",black)
end

if pad:r() then screen:save("screenshot1.png") end

screen:print(85,222,"Druecke Select fuer das Toolmenue",white)
if pad:select() then
dofile("tool.lua")
end

screen:print(85,232,"Druecke Viereck fuer das Plugin Menue",white)
if pad:square() then
dofile("plugins.lua")
end

screen:print(85,242,"Druecke Start fuer Game Menue",white)
if pad:start() then
dofile("game.lua")
end

screen:print(85,252,"Druecke Kreis zum Verlassen",white)
if pad:circle() then
System.Quit()
end

screen.flip()
screen.waitVblankStart()
end